Subject: Re: bug#33830: 27.0.50; help-xref-stack contains bad entries

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 23 Jun 2021 15:58:12 +0200

Alex Branham <[email-masked]> writes:

> Sometimes `help-xref-stack' contains "bad" entries, which makes
> help-go-forward and help-go-back error in a strange way. To see what I
> mean:
>
> emacs -q
>
> C-h f car RET
> C-h k C-x t
> C-h f cdr RET
>
> Now that the *Help* buffer is displaying `cdr', if you try to go back
> (with "l" or clicking the back button), you get "user-error C-x t is
> undefined".

This doesn't exactly reproduce for me in Emacs 27.1, because `C-x t' is
bound there.  But this works:

C-h f car RET
C-h k C-x t t
C-h f cdr RET
C-x o
l

I do get the "is undefined" message, but then hitting `l' again takes me
back to `car'.

I guess it could make sense for `l'/`r' to skip these "invalid" entries,
but on the other hand, I can see how they'd be vaguely useful.

Does anybody have any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no